Daemon Power

The NetBSD Packages Collection: graphics/fly

Brief description of the package:
Command-file interface for creating and modifying PNG images

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.unimelb.edu.au/fly/fly.html.

The package is located in the "graphics/fly" directory. The current source version of the package is "fly-1.6.5nb33". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for graphics/fly :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: perl>=5.0 cwrappers>=20150314 gd>=2.0.15nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 tiff>=4.0.3nb5 giflib>=5.2.1nb4 png>=1.6.0nb1 fontconfig>=2.13.1nb1 libwebp>=0.6.0 gd>=2.3.0nb1 gif2png>=2.4.2 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python37>=3.7.0 go115-1.15.1* bash-[0-9]* go14-1.4* bash>=4.2nb3 go-crypto>=0.0.20200122 go-sys>=0.0.20180101 perl>=5.32.0 perl<5.34.0 .

This package requires the following package(s) to run: perl>=5.0 gd>=2.0.15nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=8nb1 jpeg>=9 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.2.1nb3 png>=1.2.4 tiff>=4.0.3nb5 giflib>=5.2.1nb4 png>=1.6.0nb1 fontconfig>=2.13.1nb1 libwebp>=0.6.0 gd>=2.3.0nb1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:fly-1.6.5nb31.tgz(NetBSD 8.0)
earmv7hf:fly-1.6.5nb31.tgz(NetBSD 8.0)
earmv7hf:fly-1.6.5nb31.tgz(NetBSD 8.0)
earmv7hf:fly-1.6.5nb31.tgz(NetBSD 8.0)
earmv7hf:fly-1.6.5nb31.tgz(NetBSD 9.0)
earmv7hf:fly-1.6.5nb31.tgz(NetBSD 9.0)
earmv7hf:fly-1.6.5nb31.tgz(NetBSD 9.0)
i386:fly-1.6.5nb31.tgz(NetBSD 9.0)
i386:fly-1.6.5nb31.tgz(NetBSD 7.0)
i386:fly-1.6.5nb31.tgz(NetBSD 7.0)
i386:fly-1.6.5nb31.tgz(NetBSD 7.1)
i386:fly-1.6.5nb31.tgz(NetBSD 7.1)
i386:fly-1.6.5nb31.tgz(NetBSD 7.1)
i386:fly-1.6.5nb31.tgz(NetBSD 7.1)
i386:fly-1.6.5nb31.tgz(NetBSD 8.0)
i386:fly-1.6.5nb31.tgz(NetBSD 8.0)
i386:fly-1.6.5nb31.tgz(NetBSD 8.0)
i386:fly-1.6.5nb31.tgz(NetBSD 8.0)
i386:fly-1.6.5nb31.tgz(NetBSD 9.0)
i386:fly-1.6.5nb31.tgz(NetBSD 9.0)
i386:fly-1.6.5nb31.tgz(NetBSD 9.0)
i386:fly-1.6.5nb13.tgz(QNX 6.5.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 9.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 9.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 9.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 7.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 7.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 7.1)
x86_64:fly-1.6.5nb31.tgz(NetBSD 7.1)
x86_64:fly-1.6.5nb31.tgz(NetBSD 7.1)
x86_64:fly-1.6.5nb31.tgz(NetBSD 7.1)
x86_64:fly-1.6.5nb31.tgz(NetBSD 8.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 8.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 8.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 8.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 9.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 9.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 9.0)
x86_64:fly-1.6.5nb31.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]